Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#4078 Memory allocation error in phpmyadmin 4.0.5

4.0.5
out-of-date
nobody
5
2014-08-18
2013-09-02
No

[Mon Sep 02 11:58:05 2013] [error] [client 95.132.57.53] PHP Fatal error: Allow
ed memory size of 134217728 bytes exhausted (tried to allocate 13205096 bytes) i
n Unknown on line 0, referer: http://93.153.131.113/myadmin/db_structure.php?pos
=250&db=jm_book_us&token=b155ce735eb894cd3e1a29e2cc9dsfe3
[Mon Sep 02 11:58:09 2013] [error] [client 95.132.57.53] PHP Fatal error: Allow
ed memory size of 134217728 bytes exhausted (tried to allocate 13680110 bytes) i
n Unknown on line 0, referer: http://93.153.131.113/myadmin/navigation.php?db=jm
_book_us&token=b155ce735eb894cd3e1a29e2cc9dsfe3
[Mon Sep 02 11:58:10 2013] [error] [client 95.132.57.53] PHP Fatal error: Allow
ed memory size of 134217728 bytes exhausted (tried to allocate 13672879 bytes) i
n /var/www/phpmyadmin/navigation.php on line 55, referer: http://93.153.131.113/
myadmin/sql.php?db=jm_book_us&token=b155ce735eb894cd3e1a29e2cc9dsfe3&goto=db_str
ucture.php&table=heusers&pos=0

Discussion

  • Marc Delisle
    Marc Delisle
    2013-09-02

    Anything special regarding the number of tables in this database?

     
  • somewhere 250 tables...

    if you once get the error "PHP Fatal error: Allow
    ed memory ...", then re-enter does not work if you do not delete cookie...

     
  • Isaac Bennetch
    Isaac Bennetch
    2013-09-02

    Sounds like a duplicate to me. Can you try this fix at https://sourceforge.net/p/phpmyadmin/bugs/4072/ and see if that fixes it for you?

     
    • I'm sorry there is no time to experiment with patches;(

      will wait for correction in the next versions phpmyadmin...

       
  • Isaac Bennetch
    Isaac Bennetch
    2013-09-02

    • summary: Memory leaks in phpmyadmin 4.0.5 ;(( --> Memory allocation error in phpmyadmin 4.0.5
     
  • Michal Čihař
    Michal Čihař
    2013-09-12

    I can also see such errors on demo server, so this issue is still existing in current master:

    PHP Fatal error: Allowed memory size of 134217728 bytes exhausted (tried to allocate 22651022 bytes) in Unknown on line 0#012

    Unfortunately I can not reproduce this even on same URL as has caused this problem...

    What is also strange is that PHP can not tell which file has caused this.

     
  • Marc Delisle
    Marc Delisle
    2013-10-08

    Still happening with 4.0.8?

     
  • Michal Čihař
    Michal Čihař
    2013-10-08

    This might be actually same as bug #4119, though I was not sure that the cause is same in both cases.

     
  • Marc Delisle
    Marc Delisle
    2013-11-24

    Remote administrator,
    do you have time to try the newest release candidate (4.1.0-rc1) which is very near the upcoming 4.1.0 version?

     
  • Marc Delisle
    Marc Delisle
    2014-01-16

    Remote administrator,
    we now have version 4.1.4 released, please give some feedback.

     
  • Marc Delisle
    Marc Delisle
    2014-01-16

    • status: open --> pending
     
  • Marc Delisle
    Marc Delisle
    2014-02-01

    • status: pending --> out-of-date